<?php
use Ubnt\UcrmPluginSdk\Service\PluginLogManager;

$log = PluginLogManager::create(); //Initialize Logger

// Configuración de conexión FTP
$ftp_server = "siip.mx";
$ftp_username = "siip0001";
$ftp_password = '$spGiT,[wa)n';

// Establecer la conexión FTP
$ftp_conexion = ftp_connect("siip.mx");
$usuario_ftp = "siip0001";
$contrasena_ftp = '$spGiT,[wa)n';

if ($ftp_conexion) {
    // Iniciar sesión con el nombre de usuario y contraseña
    $login_resultado = ftp_login($ftp_conexion, $usuario_ftp, $contrasena_ftp);
    
    // Verificar si la sesión se ha iniciado correctamente
    if ($login_resultado) {
        // Ruta de la carpeta que deseas vaciar
        $carpeta_ftp = '/public_html/wp/wp-content/uploads/pdf/';
        
        // Obtener lista de archivos en la carpeta
        $archivos = ftp_nlist($ftp_conexion, $carpeta_ftp);
        
        // Iterar sobre cada archivo y eliminarlo
        foreach ($archivos as $archivo) {
            // Eliminar el archivo
            ftp_delete($ftp_conexion, $archivo);
            
        }
        $log->appendLog("ArchivoS eliminados".PHP_EOL);
        // Cerrar la conexión FTP
        ftp_close($ftp_conexion);
    } else {
        $log->appendLog("Error al iniciar sesión en el servidor FTP".PHP_EOL);
    }
} else {
    $log->appendLog("Error al conectar al servidor FTP".PHP_EOL);
}